Opened 12 years ago

Closed 12 years ago

Last modified 12 years ago

#2453 closed Bug (fixed)

Transmission since version 1.61 need GTK+ 2.12 or an upper version.

Reported by: charles Owned by: charles
Priority: Normal Milestone: 1.76
Component: GTK+ Client Version: 1.75
Severity: Minor Keywords:
Cc:

Description (last modified by charles)

Downstream ticket: http://bugs.gentoo.org/show_bug.cgi?id=286586

Transmission since version 1.61 need GTK+ 2.12 or an upper version.

Transmission used the method "gtk_icon_theme_choose_icon()" available since GTK+ 2.12: http://library.gnome.org/devel/gtk/2.11/GtkIconTheme.html

Reproducible: Always

Steps to Reproduce:

  1. emerge transmission

Actual Results: compilation failed

build extract highlighting the problem: /var/tmp/portage/net-p2p/transmission-1.61/work/transmission-1.61/gtk/icons.c:148: undefined reference to `gtk_icon_theme_choose_icon'

Expected Results: compilation done

Change History (6)

comment:1 Changed 12 years ago by charles

Looks like this occurs if you've got a newer version of glib (one with gio) than of gtk.

comment:2 Changed 12 years ago by charles

  • Keywords backport added
  • Severity changed from Normal to Minor
  • Status changed from new to assigned

Fixed in trunk by r9194 for 1.80.

comment:3 Changed 12 years ago by charles

  • Resolution set to fixed
  • Status changed from assigned to closed

comment:4 Changed 12 years ago by charles

  • Description modified (diff)

comment:5 Changed 12 years ago by charles

  • Milestone changed from 1.80 to 1.76

backported to 1.7x for 1.76 in r9356

comment:6 Changed 12 years ago by charles

  • Keywords backport removed
Note: See TracTickets for help on using tickets.